Invalid_records error

Hello! I’m getting an error with sending a patch request. I’m getting the following errror:
{
“error”: {
“type”: “INVALID_RECORDS”,
“message”: “You must provide an array of up to 10 record objects, each with an “id” ID field and a “fields” object for cell values.”
}
}

I’m trying to send an array. I’ve checked my JSON formatting. Not sure what else might be the issue. Here’s the JSON I’m trying to send (with record IDs masked):
{
“records”:[
{
“id”:“recabc123”,
“fields”:{
“Reminder Days”:[
“recced456”,
“recefg789”
]
}
}
]
}

4 Likes

Would anyone have a response here?
I have the same issue with a DELETE API request that gives the same type of error:

URL = https://api.airtable.com/v0/$databaseID/$tableName
payload = {
“records”:["$recID1","$recID2"]
};

→ error={message=“records” must be an array of up to 10 record IDs., type=INVALID_RECORDS}}

I did check that the record IDs were existing ones in $tableName.
I also checked with the following syntax:
payload = {
“records”:[{“id”:"$recID1"},{“id”:"$recID2"}]
};

What am I doing wrong here?

Hey Ludovic,

I think the only similarity between your post and the OG is that this is the error Airtable gives when the API request is not valid.

In any case, are you sending along your request body as JSON? Looking at the docs, it appears that it’s expecting the body to be url encoded for DELETEs, yeah?

Best,
Anthony